/**
 * @author @thkruz Theodore Kruczek
 * @license AGPL-3.0-or-later
 * @copyright (c) 2020-2024 Theodore Kruczek
 *
 * Orbital Object ToolKit is free software: you can redistribute it and/or modify it under the
 * terms of the GNU Affero General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later version.
 *
 * Orbital Object ToolKit is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License along with
 * Orbital Object ToolKit. If not, see <http://www.gnu.org/licenses/>.
 */
import { StateInterpolator } from '../interpolator/StateInterpolator.js';
import { ChebyshevInterpolator } from './../interpolator/ChebyshevInterpolator.js';
export declare class ChebyshevCompressor {
    private _interpolator;
    constructor(_interpolator: StateInterpolator);
    private static _cosPi;
    private _fitCoefficient;
    private _fitWindow;
    /**
     * Compress this object's interpolater, using the provided coefficients
     * per revolution [cpr].
     * @param cpr Coefficients per revolution.
     * @returns A new [ChebyshevInterpolator] object.
     */
    compress(cpr?: number): ChebyshevInterpolator;
}
