/**
 * @author @thkruz Theodore Kruczek
 * @license AGPL-3.0-or-later
 * @copyright (c) 2020-2024 Theodore Kruczek
 *
 * Orbital Object ToolKit is free software: you can redistribute it and/or modify it under the
 * terms of the GNU Affero General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later version.
 *
 * Orbital Object ToolKit is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License along with
 * Orbital Object ToolKit. If not, see <http://www.gnu.org/licenses/>.
 */
export declare class SimpleLinearRegression {
    xs: number[];
    ys: number[];
    /**
     * Create a new [SimpleLinearRegression] object from lists of x and y
     * values.
     * @param xs x values
     * @param ys y values
     */
    constructor(xs: number[], ys: number[]);
    private _slope;
    private _intercept;
    private _error;
    get slope(): number;
    get intercept(): number;
    get error(): number;
    get length(): number;
    private _calcError;
    update(): void;
    evaluate(x: number): number;
    /**
     * Create a new [SimpleLinearRegression] object with outliers above the
     * provided standard deviation [sigma] value removed.
     * @param sigma standard deviation
     * @returns new [SimpleLinearRegression] object
     */
    filterOutliers(sigma?: number): SimpleLinearRegression;
}
