/**
 * @author @thkruz Theodore Kruczek
 * @license AGPL-3.0-or-later
 * @copyright (c) 2020-2024 Theodore Kruczek
 *
 * Orbital Object ToolKit is free software: you can redistribute it and/or modify it under the
 * terms of the GNU Affero General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later version.
 *
 * Orbital Object ToolKit is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License along with
 * Orbital Object ToolKit. If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Optimization cost function that takes in parameter array [xs] and returns
 * a score.
 */
export type CostFunction = (points: Float64Array) => number;
export declare class SimplexEntry {
    private _f;
    points: Float64Array;
    score: number;
    private _x;
    constructor(_f: CostFunction, points: Float64Array);
    getPoints(): Float64Array;
    getScore(): number;
    modify(n: number, xa: SimplexEntry, xb: SimplexEntry): SimplexEntry;
    distance(se: SimplexEntry): number;
}
