/**
 * @author @thkruz Theodore Kruczek
 * @license AGPL-3.0-or-later
 * @copyright (c) 2020-2024 Theodore Kruczek
 *
 * Orbital Object ToolKit is free software: you can redistribute it and/or modify it under the
 * terms of the GNU Affero General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later version.
 *
 * Orbital Object ToolKit is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License along with
 * Orbital Object ToolKit. If not, see <http://www.gnu.org/licenses/>.
 */
import { Vector } from 'ootk-core';
export class SimplexEntry {
    _f;
    points;
    score;
    _x;
    constructor(_f, points) {
        this._f = _f;
        this.points = points;
        this._x = new Vector(points);
        this.score = this._f(points);
    }
    getPoints() {
        return this._x.toArray();
    }
    getScore() {
        return this.score;
    }
    modify(n, xa, xb) {
        return new SimplexEntry(this._f, this._x.add(xa._x.subtract(xb._x).scale(n)).toArray());
    }
    distance(se) {
        return this._x.distance(se._x);
    }
}
//# sourceMappingURL=SimplexEntry.js.map