import { Matrix } from 'ootk-core';
import { JacobianFunction } from '../types/types.js';
/**
 * Calculates the Jacobian matrix of a given Jacobian function.
 * @param f The Jacobian function.
 * @param m The number of rows in the Jacobian matrix.
 * @param x0 The initial values of the variables.
 * @param step The step size for numerical differentiation (default: 1e-5).
 * @returns The Jacobian matrix.
 */
export declare const jacobian: (f: JacobianFunction, m: number, x0: Float64Array, step?: number) => Matrix;
